package com.ruoyi.cms.service;

import java.util.List;
import com.ruoyi.cms.domain.SubwayLine;

/**
 * 地铁线路Service接口
 * 
 * @author Lishundong
 * @date 2024-11-12
 */
public interface ISubwayLineService 
{
    /**
     * 查询地铁线路
     * 
     * @param lineId 地铁线路主键
     * @return 地铁线路
     */
    public SubwayLine selectSubwayLineByLineId(Long lineId);

    /**
     * 查询地铁线路列表
     * 
     * @param subwayLine 地铁线路
     * @return 地铁线路集合
     */
    public List<SubwayLine> selectSubwayLineList(SubwayLine subwayLine);

    /**
     * 新增地铁线路
     * 
     * @param subwayLine 地铁线路
     * @return 结果
     */
    public int insertSubwayLine(SubwayLine subwayLine);

    /**
     * 修改地铁线路
     * 
     * @param subwayLine 地铁线路
     * @return 结果
     */
    public int updateSubwayLine(SubwayLine subwayLine);

    /**
     * 批量删除地铁线路
     * 
     * @param lineIds 需要删除的地铁线路主键集合
     * @return 结果
     */
    public int deleteSubwayLineByLineIds(Long lineIds);

    List<SubwayLine> appSubway();
}
